Subject: Re: Linking with Borland C
From: [email-masked] (Paul Garceau)

16 Sep 1998 10:35:34 -0700
Message-ID: <[email-masked]>
References: <Pine.GSO.4.02.9809141742260.27342-100000@brutus>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi folks,

On 14 Sep 98, at 17:49, the Illustrious Félix Valado Pomarinho wrote:

> 
>  Hello,
> 
>  I'm more or less aware of the troubles linking gcc DLL's using
> VC++. I am trying to use a gcc DLL created with the dllhelper utility in a
> program that's compiled using Borland C and I'm having a lot of problems.
> 
>  1) Is there any known solution to this problem? 

	There was a method noted here in the last couple of weeks on how to 
generate MS compatible .dlls using Gnu-Win32, that had been tested.  You 
might want to take a look at the archives for the information.

	In terms of Borland C, it has always been able to understand the MS 
..dll.  So, if you generate a .dll that MSVC can understand, then Borland C 
can probably understand it as well.

>  2) If it not possible the dynamic linkage, can I get some kind
> of static library (such as .lib) out of gcc, so I can link it using
> Borland C?

	Afaik, you can not generate .lib files easily via Gnu-Win32.  As far as 
linking is concerned, I believe that Borland/Win32 only recognizes the MS 
and Borland type .lib files.  You would probably be best served by generating 
an MS compatible .dll to use with Borland.

	I hope this helps.

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".